%define name  flac

%define major  12
%define libname %mklibname %{name} %{major}
%define majorpp 10
%define libnamepp %mklibname %{name}++ %{majorpp}

Name: %name 
Summary: An encoder/decoder for the Free Lossless Audio Codec
Summary(de): Ein Encoder/Decoder für den Free Lossless Audio Codec
Version:  1.4.2
Release:  %mkrel 1
License: GPL
Group:  Sound
URL: http://flac.sourceforge.net/
Source: http://prdownloads.sourceforge.net/flac/flac-%{version}.tar.xz
BuildRoot: %{_tmppath}/%{name}-root
BuildRequires: lib64ogg-devel
BuildRequires: lib64id3_3.8_3-devel
BuildRequires: gettext-devel

%description
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

FLAC is comprised of 1) `libFLAC', a library which implements
reference encoders and decoders, licensed under the GNU Lesser
General Public License (LGPL); 2) `flac', a command-line program for
encoding and decoding files, licensed under the GNU General public
License (GPL); 3) `metaflac', a command-line program for editing
FLAC metadata, licensed under the GPL; 4) player plugins for XMMS
and Winamp, licensed under the GPL; and 5) documentation, licensed
under the GNU Free Documentation License.
#german
%description -l de
Ein Encoder/Decoder für den Free Lossless Audio Codec 
(freier verlustfreier Audio Codec)
FLAC ist ein Open Source verlustfreier audio Codec entwickelt von 
Josh Coalson. FLAC enthält 
1)`libFLAC', eine Bibliothek in der Referenz Encoder und Decoder implementiert 
sind, sie stehen unter GNU Lesser General public License (LGPL); 
2)`flac', ein Kommandozeilen-Programm für Encodieren und Decodieren von Dateien, 
lizensiert unter der GNU General public License (GPL);
3)`metaflac', ein Kommandozeilen-Programm zum Editieren von FLAC metadaten, 
lizensiert von der GPL;
4)Player Erweiterungen für XMMS und Winamp, lizensiert von der GPL;
5)Dokumentation, lizensiert von der GNU Freie Dokumentation Lizenz.


%package -n %libname 
Summary: Shared libraries for FLAC
Summary(de): Freigegebene C Bibliotheken für FLAC
Group:  System/Libraries

%description  -n %libname
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the C libraries.
#german
%description  -n %libname -l de
FLAC ist eine Open Source-verlustfreie Audiocodec von Josh Coalson. 

Dieses Paket enthält die Bibliotheken für die C-Anwendungen.

%package -n %libname-devel
Summary: Libraries and headers needed for building apps using FLAC
Summary(de): ibliotheken und Header für das erstellen von Anwendungen mit FLAC
Group: Development/Libraries
Requires: %{libname} = %{version}-%release
Requires: libogg-devel
Provides:  libflac-devel = %version-%release
Provides:  liboggflac-devel = %version-%release
Obsoletes:  libflac-devel < %version
Obsoletes:  liboggflac-devel < %version
Obsoletes:  lib64flac8-devel

%description -n%libname-devel
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using FLAC written in C.
#german
%description -n%libname-devel -l de
FLAC ist eine Open Source-verlustfreie Audiocodec von Josh Coalson. 

Dieses Paket enthält die Bibliotheken und Headerdateien um Anwendungen 
mit FLAC in C zu erstellen.

%package -n %libnamepp
Summary: Shared C++ libraries for FLAC
Summary(de): Freigegebene C++ Bibliotheken für FLAC
Group: System/Libraries

%description  -n %libnamepp
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries for C++ applications.
#german
%description  -n %libnamepp -l de
FLAC ist eine Open Source-verlustfreie Audiocodec von Josh Coalson. 

Dieses Paket enthält die Bibliotheken für die C++-Anwendungen.

%package -n %libnamepp-devel
Summary: Libraries and headers needed for building apps using FLAC++
Summary(de): Bibliotheken und Header für das erstellen von Anwendungen mit FLAC++
Group: Development/Libraries
Requires: %libnamepp = %version-%release
Requires: %libname-devel = %version-%release
Provides:  libflac++-devel = %version-%release
Provides:  liboggflac++-devel = %version-%release
Obsoletes:  libflac++-devel < %version
Obsoletes:  liboggflac++-devel < %version
Obsoletes:  lib64flac++6-devel

%description -n %libnamepp-devel
FLAC is an Open Source lossless audio codec developed by Josh Coalson.

This package contains the libraries and header files necessary to develop
applications using FLAC written in C++.
#german
%description -n %libnamepp-devel -l de
FLAC ist eine Open Source-verlustfreie Audiocodec von Josh Coalson. 

Dieses Paket enthält die Bibliotheken und Headerdateien um Anwendungen 
mit FLAC in C++ zu erstellen.

%package doc
Summary:	Documentation for %name
Group:		Documentation
Requires:   %name
BuildArch:  noarch

%description doc
Documentation files for %name


%prep
%setup -q -n %name-%version
%apply_patches

%build

./autogen.sh -V
%configure2_5x --disable-static --disable-xmms-plugin --disable-thorough-tests --with-ogg --disable-sse
    
%make

%install
rm -rf %buildroot
%makeinstall_std

# remove static libraries
rm -f %buildroot%{_libdir}/libFLAC*.la

%clean
rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}


%files
%defattr(-, root, root)
%{_bindir}/flac
%{_bindir}/metaflac
%{_mandir}/man1/*

%files -n %libname 
%defattr(-, root, root)
%_libdir/libFLAC.so.%{major}*

%files -n %libnamepp 
%defattr(-, root, root)
%_libdir/libFLAC++.so.%{majorpp}*

%files -n %libname-devel 
%defattr(-, root, root)
%{_includedir}/FLAC
%{_libdir}/libFLAC.so
%_datadir/aclocal/libFLAC.m4
%_libdir/pkgconfig/flac.pc

%files -n %libnamepp-devel 
%defattr(-, root, root)
%{_includedir}/FLAC++
%{_libdir}/libFLAC++.so
%_datadir/aclocal/libFLAC++.m4
%_libdir/pkgconfig/flac++.pc

%files doc
%defattr(-, root, root)
%{_datadir}/doc/flac

%changelog
* Sun Oct 23 2022 tex - 1.4.2-1pclos2022
- new version

* Tue Feb 22 2022 tex - 1.3.4-1pclos2022
- new version

* Sun Jul 18 2021 tex - 1.3.3-2pclos2021
- rebuild against updates

* Thu Aug 08 2019 tex - 1.3.3-1pclos2019
- new version

